=== extras/CMakeLists.txt ===
add_subdirectory(dartc)
