=== debian/changelog ===
dart (6.9.2-3ubuntu1) groovy; urgency=medium

  * d/rules: GCC-10 issue on riscv64, skip the one failing test for now
    (LP: #1891440)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 11 Aug 2020 11:35:53 +0200

dart (6.9.2-3build2) groovy; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu67

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jul 2020 19:18:16 +0000

dart (6.9.2-3build1) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:40:20 +0100

dart (6.9.2-3) unstable; urgency=medium

  * Team upload.
  * Add missing build dependency (Closes: #960383)
  * Add MA hints
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 02 Jun 2020 20:54:24 +0200

dart (6.9.2-2) unstable; urgency=medium

  * Team upload
  * Build against openscenegraph, not openscenegraph-3.4, that is scheduled
    for removal.
  * Fixup a libdart6-dev -> libdart-dev missing replacement
  * fixup a libdart-optimizer-nlopt0 -> libdart6-optimizer-nlopt missing rename
  * Fixup a missing libdart-optimizer-ipopt0 -> libdart6-optimizer-ipopt rename

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Nov 2019 08:28:23 +0100

dart (6.9.2-1) unstable; urgency=medium

  * Team upload.

  [ Jose Luis Rivero ]
  * Rename package according with upstream: KIDO to DART 
  * Change file names for install files
  * Replace occurrences to dart
  * Add transitional packages from kido to dart

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Build-Depends: s/libopenscenegraph-dev/libopenscenegraph-3.4-dev/

 -- Andreas Tille <tille@debian.org>  Mon, 19 Aug 2019 13:27:42 +0200

kido (0.1.0+dfsg-6) unstable; urgency=medium

  * Team upload.
  [ Jelmer Vernooĳ ]
  * Remove unnecessary 'Testsuite: autopkgtest' header.

  [ Jochen Sprickerhof ]
  * Add patch to fix Flann inclusion

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 14 Oct 2018 23:59:26 +0200

kido (0.1.0+dfsg-5) unstable; urgency=medium

  * Team upload
  * Change back the include to add <kido> namespace,
    since the autogenerated pkgconfig file is not exporting it

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Aug 2018 08:00:50 +0200

kido (0.1.0+dfsg-4) unstable; urgency=medium

  * Team upload
  * Fix testsuite
  * Install also pkgconfig file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Aug 2018 19:53:18 +0200

kido (0.1.0+dfsg-3) unstable; urgency=medium

  * Team upload
  * Move VCS fields after salsa.d.o move
  * Fix a nlopt-related FTBFS, headers moved in cxx-dev (Closes: #905682)
    thanks <hyperair> for the patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Aug 2018 10:09:28 +0200

kido (0.1.0+dfsg-2) unstable; urgency=medium

  * Use std::shared instead of boost::shared
    (Closes: #835734)
  * Patch to remove msse2 compiler flag
    (Closes: #833817)
  * Add a patch to fix link of unitests
    (Closes: #835930)
  * Fix tinyxml new constant

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 30 Aug 2016 22:52:53 +0000

kido (0.1.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #812126)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 21 Jul 2016 14:33:19 +0000
